Subject: Re: [BEHAVE] Transport protocols in TURN

From: "Dan Wing" <[email-masked]>
Date: Thu, 2 Jul 2009 16:28:11 -0700

> -----Original Message-----
> From: [email-masked] 
> [mailto:[email-masked]] On Behalf Of Philip Matthews
> Sent: Wednesday, May 13, 2009 4:47 PM
> To: Marc Petit-Huguenin
> Cc: Behave WG
> Subject: Re: [BEHAVE] Transport protocols in TURN
> 
> You are right. There is nothing.
> 
> Though I understand your point, I think it is rather late to 
> be having this discussion.

Dear people of the BEHAVE WG,

There are two choices for what a TURN server has to support between the TURN
client and TURN server:

  1. UDP is a MUST, while TCP and TLS are SHOULD.
or
  2. UDP and TCP are MUSTs, while TLS is a SHOULD.

If you have any feelings on this matter please tell Philip so he can revise
TURN accordingly.  At this point consensus points towards 1, but there has
been very little discussion on this issue.  Please provide input!

Thanks,
-d

> - Philip
> 
> On Tue, 5-May-09, at 15:09 , Marc Petit-Huguenin wrote:
> 
> > I cannot find in turn-14 what transport protocols are mandatory to
> > implement.  Only one sentence in a non-normative section would
> > implies that the rules are the same than RFC 5389 (UDP and TCP
> > mandatory, TLS optional):
> >
> > Section 2.1, 5th paragraph: "TURN does not require TLS because..."
> >
> > I think that there should be some normative text about this.
> >
> > Thanks.
> >
> > -- 
> > Marc Petit-Huguenin
> > Home: [email-masked]
> > Work: [email-masked]
> > _______________________________________________
> > Behave mailing list
> > [email-masked]
> > https://www.ietf.org/mailman/listinfo/behave
> >
> 
> _______________________________________________
> Behave mailing list
> [email-masked]
> https://www.ietf.org/mailman/listinfo/behave
>

---

From: Christian Huitema <[email-masked]>
Date: Fri, 3 Jul 2009 00:19:27 +0000

> been very little discussion on this issue.  Please provide input!

I support option 1. There are deployment scenarios that justify an UDP only server. An example would be to use TURN for controlled traversal of a corporate firewall. In these scenarios, TCP and TLS are not necessary. They would provide a much worse quality of service for voice and video traffic. If they were supported on the server, then the server would also need to ensure that clients do not use them, etc.

-- Christian Huitema

---

From: Philip Matthews <[email-masked]>
Date: Fri, 3 Jul 2009 08:06:54 -0400

OK. This makes three people (Magnus, Christian, and myself) that  
support option 1, with only Marc supporting option 2.

Unfortunately, other constraints mean that I cannot work on TURN for  
the next couple of weeks. Given there has been so little discussion of  
this point, I am going to publish TURN-16 with option (1).

- Philip

On Thu, 2-Jul-09, at 20:19 , Christian Huitema wrote:

>
>> There are two choices for what a TURN server has to support between  
>> the
>> TURN
>> client and TURN server:
>>
>> TURN accordingly.  At this point consensus points towards 1, but  
>> there
>> has
> I support option 1. There are deployment scenarios that justify an  
> UDP only server. An example would be to use TURN for controlled  
> traversal of a corporate firewall. In these scenarios, TCP and TLS  
> are not necessary. They would provide a much worse quality of  
> service for voice and video traffic. If they were supported on the  
> server, then the server would also need to ensure that clients do  
> not use them, etc.
>
> -- Christian Huitema
>
>
>
>

---

From: Jonathan Rosenberg <[email-masked]>
Date: Fri, 03 Jul 2009 09:45:52 -0400

I also agree with Option 1.

-Jonathan R.

Philip Matthews wrote:
> OK. This makes three people (Magnus, Christian, and myself) that support 
> option 1, with only Marc supporting option 2.
> 
> Unfortunately, other constraints mean that I cannot work on TURN for the 
> next couple of weeks. Given there has been so little discussion of this 
> point, I am going to publish TURN-16 with option (1).
> 
> - Philip
> 
> 
>> I support option 1. There are deployment scenarios that justify an UDP 
>> only server. An example would be to use TURN for controlled traversal 
>> of a corporate firewall. In these scenarios, TCP and TLS are not 
>> necessary. They would provide a much worse quality of service for 
>> voice and video traffic. If they were supported on the server, then 
>> the server would also need to ensure that clients do not use them, etc.
>>
>> -- Christian Huitema
>>
>>
>>
>>

-- 
Jonathan D. Rosenberg, Ph.D.                   111 Wood Avenue South
Cisco Fellow                                   Iselin, NJ 08830
Cisco, Voice Technology Group
[email-masked]
http://www.jdrosen.net                         PHONE: (408) 902-3084
http://www.cisco.com

---

From: Matthew Kaufman <[email-masked]>
Date: Tue, 07 Jul 2009 08:17:22 -0700

> I support option 1. There are deployment scenarios that justify an UDP only server. An example would be to use TURN for controlled traversal of a corporate firewall. In these scenarios, TCP and TLS…
I would support option 1 as well, if TURN were still usable for me. 
However, my previous comments about CreatePermission and the resulting 
inefficiency and difficulty of implementation still have not been 
addressed, so TURN is no longer a viable proxy protocol for my use case.

Matthew Kaufman

---

From: Derek MacDonald <[email-masked]>
Date: Tue, 7 Jul 2009 19:42:56 -0700

I know I'm a little late on this but option one makes me a bit  
nervous. I have often described turn as a solution for tcp only  
environments where the voip infrastructure is udp. Making this  
behaviour optional makes the turn brand harder to sell:)

My belated vote is for option 2.

-Derek

On 2009-07-03, at 6:45 AM, Jonathan Rosenberg only<[email-masked]>  
wrote:

>> Unfortunately, other constraints mean that I cannot work on TURN  
>> for the next couple of weeks. Given there has been so little  
>> discussion of this point, I am going to publish TURN-16 with option  
>> (1).
>> - Philip
>>>> There are two choices for what a TURN server has to support  
>>>> between the
>>>> TURN
>>>> client and TURN server:
>>>>
>>>> If you have any feelings on this matter please tell Philip so he  
>>>> can
>>>> revise